package org.springblade.common.constant;

import lombok.Getter;


/**
 * @author cy-computer
 */
public interface DeviceConstant {

	//通用设备授权类型，一般是指住户所在区域内可以直接使用的设备
	public static Integer DEVICE_ACCESS_TYPE_UNIVERSAL = 10;

	//特殊设备授权类型，一般是指用户所在区域需要特殊授权后才能使用的设备
	public static Integer DEVICE_ACCESS_TYPE_SPECIAL = 11;

	//全部设备授权类型，一般是指住户所住在区域内的所有设备
	public static Integer DEVICE_ACCESS_TYPE_ALL = 12;

	//设备厂商

	public static String DEVICE_FACTORY_ZONGHENG = "zongheng";

	@Getter
	enum DeviceStatus{

		NORMAL(1,"正常"),
		ALARM(2,"告警"),
		MISSING(3,"失联"),
		ABANDON(4,"停用弃用"),
		DAIBUFANG(5,"待布防");
		private Integer value;
		private String key;

		DeviceStatus(Integer value,String key){
			this.key = key;
			this.value = value;
		}
	}

	@Getter
	enum DeviceNetStatus{

		ONLINE("在线",1),
		OFFLINE("离线",2),
		;
		private String key;
		private Integer value;

		DeviceNetStatus(String key,Integer value){
			this.key = key;
			this.value = value;

		}
	}

	/**
	 * 设备类型
	 */
	@Getter
	enum DeviceTypeNew{
		SMOKE("烟感","YG"),
		GAS("气感","QG"),
		HYDRANT("消防栓","XFS"),
		LJT("垃圾桶","LJT"),
		LD("路灯","LD"),
		JG("井盖","JG"),
		MC("门磁","MC"),
		SXT("摄像头","SXT"),
		DC("地磁","DC"),
		DB("智能电表","DB"),


		YJGJ("一键告警", "YJGJ"),
		HJJC("环境监测", "HJJC"),
		;

		private String value;
		private String key;

		DeviceTypeNew(String key,String value){
			this.key = key;
			this.value = value;
		}
	}

	/**
	 * 设备类型（旧版）
	 */
	@Getter
	enum DeviceType{
		SMOKE("烟感",100004),
		SMOKE_MODEL("烟感物模型",10000002),
		HYDRANT("消防栓",960417),
		GAS("气感",100020),
		GAS_MODEL("气感物模型",10000017);

		private int value;
		private String key;

		DeviceType(String key,int value){
			this.key = key;
			this.value = value;
		}
	}


}
